New API in glibmm 2.42

Member Gio::Application::add_main_option_entry (OptionType arg_type, const Glib::ustring& long_name, gchar short_name= '\0', const Glib::ustring& description=Glib::ustring(), const Glib::ustring& arg_description=Glib::ustring(), int flags=0)
Member Gio::Application::add_main_option_entry (const Glib::OptionGroup::SlotOptionArgString& slot, const Glib::ustring& long_name, gchar short_name= '\0', const Glib::ustring& description=Glib::ustring(), const Glib::ustring& arg_description=Glib::ustring(), int flags=0)
Member Gio::Application::add_main_option_entry_filename (const Glib::OptionGroup::SlotOptionArgFilename& slot, const Glib::ustring& long_name, gchar short_name= '\0', const Glib::ustring& description=Glib::ustring(), const Glib::ustring& arg_description=Glib::ustring(), int flags=0)
Member Gio::Application::OptionType
Class Gio::Permission
Member Gio::signal_socket (const Glib::RefPtr< Glib::MainContext >& context=Glib::RefPtr< Glib::MainContext >())

Class Gio::SignalSocket

Member Gio::SignalSocket::connect (const sigc::slot< bool, Glib::IOCondition >& slot, const Glib::RefPtr< Socket >& socket, Glib::IOCondition condition, const Glib::RefPtr< Cancellable >& cancellable=Glib::RefPtr< Cancellable >(), int priority=Glib::PRIORITY_DEFAULT)
  Parameters

    slot | A slot to call when polling socket results in an event that matches condition. The event will be passed as a parameter to slot. If `io_handler()` returns `false` the handler is disconnected.
    socket | The Socket object to watch.
    condition | The conditions to watch for.
    cancellable | A Cancellable object which can be used to cancel the source, which will cause the source to trigger, reporting the current condition (which is likely 0 unless cancellation happened at the same time as a condition change). You can check for this in the callback using Cancellable::is_cancelled().
    priority | The priority of the new event source.

  Returns
    A connection handle, which can be used to disconnect the handler.
Member Gio::Socket::create_source (Glib::IOCondition condition, const Glib::RefPtr< Cancellable >& cancellable=Glib::RefPtr< Cancellable >())
  Parameters

    condition | A Glib::IOCondition mask to monitor.
    cancellable | A Cancellable. The default value means the source is not cancellable.

  Returns
    A newly allocated SocketSource.
Class Gio::SocketSource

Member Glib::IOSource::IOSource (GSource* cast_item, GSourceFunc callback_func)